#include <bits/stdc++.h>

using namespace std;

int main()
{
    int t;
    cin >> t;
    int a , b;
    for(int i = 0 ; i < t; i++)
    {
        cin >> a >> b;
        
    }
    for(int i = 0 ; i < t; i++)
    {    
        cout <<"-1";
    }
    

return 0;
}